
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>python的re正则表达式模块学习 / 憋错料</title>

    <meta name="description" content="python的re正则表达式模块学习 python中re模块的用法 Python 的 re 模块(Regular Expression 正则表达式)提供各种正则表达式的匹配操作,在文本解析.复杂字符串分析和信息提取时是一个非常有用的工具,下面我主要总结了re的常用方法. 1.re的简介    使用python的re模块,尽管不能满足所有复杂的匹配情况,但足够在绝大多数情况下能够有效地实现对复杂字符串的分析并提取出相关信息.python 会将正则表达式转化为字节码,利用 C 语言的匹配引擎进行深度优先的匹配. import re pr">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">python的re正则表达式模块学习</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>python中re模块的用法</h2>

<p>Python 的 re 模块（Regular Expression 正则表达式）提供各种正则表达式的匹配操作，在文本解析、复杂字符串分析和信息提取时是一个非常有用的工具，下面我主要总结了re的常用方法。</p>
<p><strong>1.re的简介</strong><br />&nbsp; &nbsp;&nbsp;使用python的re模块，尽管不能满足所有复杂的匹配情况，但足够在绝大多数情况下能够有效地实现对复杂字符串的分析并提取出相关信息。python 会将正则表达式转化为字节码，利用 C 语言的匹配引擎进行深度优先的匹配。</p>
<ol>
<li>import re</li>
<li>print re.__doc__</li>
</ol>
<p>可以查询re模块的功能信息，下面会结合几个例子说明。</p>
<p><strong>2.re的正则表达式语法</strong><br />&nbsp; &nbsp;&nbsp;正则表达式语法表如下：</p>
<table>
<tbody>
<tr>
<td>语法</td>
<td>意义</td>
<td>说明</td>
</tr>
<tr>
<td>"."</td>
<td>任意字符</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>"^"</td>
<td>字符串开始</td>
<td>‘^hello‘匹配‘helloworld‘而不匹配‘aaaahellobbb‘</td>
</tr>
<tr>
<td>"$"</td>
<td>字符串结尾</td>
<td>与上同理</td>
</tr>
<tr>
<td>"*"&nbsp;</td>
<td>0 个或多个字符（贪婪匹配）</td>
<td>&lt;*&gt;匹配&lt;title&gt;chinaunix&lt;/title&gt;</td>
</tr>
<tr>
<td>"+"</td>
<td>1 个或多个字符（贪婪匹配）</td>
<td>与上同理</td>
</tr>
<tr>
<td>"?"</td>
<td>0 个或多个字符（贪婪匹配）</td>
<td>与上同理</td>
</tr>
<tr>
<td>*?,+?,??</td>
<td>以上三个取第一个匹配结果（非贪婪匹配）</td>
<td>&lt;*&gt;匹配&lt;title&gt;</td>
</tr>
<tr>
<td>{m,n}</td>
<td>对于前一个字符重复m到n次，{m}亦可</td>
<td>a{6}匹配6个a、a{2,4}匹配2到4个a</td>
</tr>
<tr>
<td>{m,n}?</td>
<td>对于前一个字符重复m到n次，并取尽可能少</td>
<td>‘aaaaaa’中a{2,4}只会匹配2个</td>
</tr>
<tr>
<td>"\\"</td>
<td>特殊字符转义或者特殊序列</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>[]</td>
<td>表示一个字符集</td>
<td>[0-9]、[a-z]、[A-Z]、[^0]</td>
</tr>
<tr>
<td>"|"</td>
<td>或</td>
<td>A|B,或运算</td>
</tr>
<tr>
<td>(...)</td>
<td>匹配括号中任意表达式</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>(?#...)</td>
<td>注释，可忽略</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>(?=...)</td>
<td>Matches if ... matches next, but doesn‘t consume the string.</td>
<td>‘(?=test)‘ &nbsp;在hellotest中匹配hello</td>
</tr>
<tr>
<td>(?!...)</td>
<td>Matches if ... doesn‘t match next.</td>
<td>‘(?!=test)‘ &nbsp;若hello后面不为test，匹配hello</td>
</tr>
<tr>
<td>(?&lt;=...)&nbsp;</td>
<td>Matches if preceded by ... (must be fixed length).</td>
<td>‘(?&lt;=hello)test‘ &nbsp;在hellotest中匹配test</td>
</tr>
<tr>
<td>(?&lt;!...)</td>
<td>Matches if not preceded by ... (must be fixed length).</td>
<td>‘(?&lt;!hello)test‘ &nbsp;在hellotest中不匹配test</td>
</tr>
</tbody>
</table>
<p>正则表达式特殊序列表如下：</p>
<table>
<tbody>
<tr>
<td>特殊序列符号</td>
<td>意义</td>
</tr>
<tr>
<td>\A</td>
<td>只在字符串开始进行匹配</td>
</tr>
<tr>
<td>\Z</td>
<td>只在字符串结尾进行匹配</td>
</tr>
<tr>
<td>\b</td>
<td>匹配位于开始或结尾的空字符串</td>
</tr>
<tr>
<td>\B</td>
<td>匹配不位于开始或结尾的空字符串</td>
</tr>
<tr>
<td>\d</td>
<td>相当于[0-9]</td>
</tr>
<tr>
<td>\D</td>
<td>相当于[^0-9]</td>
</tr>
<tr>
<td>\s</td>
<td>匹配任意空白字符:[\t\n\r\r\v]</td>
</tr>
<tr>
<td>\S</td>
<td>匹配任意非空白字符:[^\t\n\r\r\v]</td>
</tr>
<tr>
<td>\w</td>
<td>匹配任意数字和字母:[a-zA-Z0-9]</td>
</tr>
<tr>
<td>\W</td>
<td>匹配任意非数字和字母:[^a-zA-Z0-9]</td>
</tr>
</tbody>
</table>
<p><strong>3.re的主要功能函数</strong><br />&nbsp; &nbsp;&nbsp;常用的功能函数包括：compile、search、match、split、findall（finditer）、sub（subn）<br /><strong>compile</strong><br /> re.compile(pattern[, flags])<br /> 作用：把正则表达式语法转化成正则表达式对象<br /> flags定义包括：<br /> re.I：忽略大小写<br /> re.L：表示特殊字符集 \w, \W, \b, \B, \s, \S 依赖于当前环境<br /> re.M：多行模式<br /> re.S：’ . ’并且包括换行符在内的任意字符（注意：’ . ’不包括换行符）<br /> re.U：&nbsp;表示特殊字符集 \w, \W, \b, \B, \d, \D, \s, \S 依赖于 Unicode 字符属性数据库<br /> 更多用法可以在http://www.devexception.com/sitemap_index.xml上查找<br /><strong>search</strong><br /> re.search(pattern, string[, flags])<br />search (string[, pos[, endpos]])<br /> 作用：在字符串中查找匹配正则表达式模式的位置，返回 MatchObject 的实例，如果没有找到匹配的位置，则返回 None。</p>
<p><strong>match</strong><br /> re.match(pattern, string[, flags])<br />match(string[, pos[, endpos]])<br /> 作用：match() 函数只在字符串的开始位置尝试匹配正则表达式，也就是只报告从位置 0 开始的匹配情况，而 search() 函数是扫描整个字符串来查找匹配。如果想要搜索整个字符串来寻找匹配，应当用 search()。</p>
<p>下面是几个例子：<br /> 例：最基本的用法，通过re.RegexObject对象调用</p>
<ol>
<li>#!/usr/bin/env python</li>
<li>import re</li>
<li>r1 = re.compile(r‘world‘)</li>
<li>if r1.match(‘helloworld‘):</li>
<li>print ‘match succeeds‘</li>
<li>else:</li>
<li>print ‘match fails‘</li>
<li>if r1.search(‘helloworld‘):</li>
<li>print ‘search succeeds‘</li>
<li>else:</li>
<li>print ‘search fails‘</li>
</ol>
<p>说明一下：r是raw(原始)的意思。因为在表示字符串中有一些转义符，如表示回车‘\n‘。如果要表示\表需要写为‘\\‘。但如果我就是需要表示一个‘\‘+‘n‘，不用r方式要写为:‘\\n‘。但使用r方式则为r‘\n‘这样清晰多了。</p>
<p>例：设置flag</p>
<ol>
<li>#r2 = re.compile(r‘n$‘, re.S)</li>
<li>#r2 = re.compile(‘\n$‘, re.S)</li>
<li>r2 = re.compile(‘World$‘, re.I)</li>
<li>if r2.search(‘helloworld\n‘):</li>
<li>print ‘search succeeds‘</li>
<li>else:</li>
<li>print ‘search fails‘</li>
</ol>
<p>例：直接调用</p>
<ol>
<li>if re.search(r‘abc‘,‘helloaaabcdworldn‘):</li>
<li>print ‘search succeeds‘</li>
<li>else:</li>
<li>print ‘search fails‘</li>
</ol>
<p><strong>split</strong><br /> re.split(pattern, string[, maxsplit=0, flags=0])<br /> split(string[, maxsplit=0])<br /> 作用：可以将字符串匹配正则表达式的部分割开并返回一个列表<br /> 例：简单分析ip</p>
<ol>
<li>#!/usr/bin/env python</li>
<li>import re</li>
<li>r1 = re.compile(‘W+‘)</li>
<li>print r1.split(‘192.168.1.1‘)</li>
<li>print re.split(‘(W+)‘,‘192.168.1.1‘)</li>
<li>print re.split(‘(W+)‘,‘192.168.1.1‘,<br /> 1)</li>
</ol>
<p>结果如下：<br /> [‘192‘, ‘168‘, ‘1‘, ‘1‘]<br /> [‘192‘, ‘.‘, ‘168‘, ‘.‘, ‘1‘, ‘.‘, ‘1‘]<br /> [‘192‘, ‘.‘, ‘168.1.1‘]</p>

<p><strong>findall</strong><br /> re.findall(pattern, string[, flags])<br /> findall(string[, pos[, endpos]])<br /> 作用：在字符串中找到正则表达式所匹配的所有子串，并组成一个列表返回<br /> 例：查找[]包括的内容（贪婪和非贪婪查找）</p>
<ol>
<li>#!/usr/bin/env python</li>
<li>import re</li>
<li>r1 = re.compile(‘([.*])‘)</li>
<li>print re.findall(r1,"hello[hi]heldfsdsf[iwonder]lo")</li>
<li>r1 = re.compile(‘([.*?])‘)</li>
<li>print re.findall(r1,"hello[hi]heldfsdsf[iwonder]lo")</li>
<li>print re.findall(‘[0-9]{2}‘,"fdskfj1323jfkdj")</li>
<li>print re.findall(‘([0-9][a-z])‘,"fdskfj1323jfkdj")</li>
<li>print re.findall(‘(?=www)‘,"afdsfwwwfkdjfsdfsdwww")</li>
<li>print re.findall(‘(?&lt;=www)‘,"afdsfwwwfkdjfsdfsdwww")</li>
</ol>
<p>finditer<br /> re.finditer(pattern, string[, flags])<br />finditer(string[, pos[, endpos]])<br /> 说明：和 findall 类似，在字符串中找到正则表达式所匹配的所有子串，并组成一个迭代器返回。同样 RegexObject 有：</p>
<p><strong>sub</strong><br /> re.sub(pattern, repl, string[, count, flags])<br />sub(repl, string[, count=0])<br /> 说明：在字符串 string 中找到匹配正则表达式 pattern 的所有子串，用另一个字符串 repl 进行替换。如果没有找到匹配 pattern 的串，则返回未被修改的 string。Repl 既可以是字符串也可以是一个函数。<br /> 例：</p>
<ol>
<li>#!/usr/bin/env python</li>
<li>import re</li>
<li>p = re.compile(‘(one|two|three)‘)</li>
<li>print p.sub(‘num‘,‘one word two words three words<br /> apple‘, 2)</li>
</ol>
<p>subn<br /> re.subn(pattern, repl, string[, count, flags])<br />subn(repl, string[, count=0])<br /> 说明：该函数的功能和 sub() 相同，但它还返回新的字符串以及替换的次数。同样 RegexObject 有：</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 08:18:34 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>python的re正则表达式模块学习的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXqVdQ0.html" rel="bookmark">Python中re&lpar;正则表达式&rpar;模块学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				re.match re.match 尝试从字符串的开始匹配一个模式,如:下面的例子匹配第一个单词.3 import re text = &quot;JGood is a handsome boy, he is cool, clever, and so on...&quot; m = re.match(r&quot;(\w+)\s&quot;, text) if m: print m.group(0), '\n', m.group(1) else: print 'not match' re.match的函数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/r4JXWP0.html" rel="bookmark">Python中re&lpar;正则表达式&rpar;模块函数学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天学习了Python中有关正则表达式的知识.关于正则表达式的语法,不作过多解释,网上有许多学习的资料.这里主要介绍Python中常用的正则表达式处理函数. 方法/属性 作用 match() 决定 RE 是否在字符串刚开始的位置匹配 search() 扫描字符串,找到这个 RE 匹配的位置 findall() 找到 RE 匹配的所有子串,并把它们作为一个列表返回 finditer() 找到 RE 匹配的所有子串,并把它们作为一个迭代器返回 match() 函数只检查 RE 是否在字符串开始处匹配			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AaQgg4.html" rel="bookmark">Python re正则表达式模块学习【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				感谢原作者,本文转自:http://www.cnblogs.com/huxi/archive/2010/07/04/1771073.html 博主还有一些比较好的python文档在此一并推荐,可以移步查看. 文介绍了Python对于正则表达式的支持,包括正则表达式基础以及Python正则表达式标准库的完整介绍及使用示例.本文的内容不包括如何编写高效的正则表达式.如何优化正则表达式,这些主题请查看其他教程. 注意:本文基于Python2.4完成:如果看到不明白的词汇请记得百度谷歌或维基,whate			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVKbrx0.html" rel="bookmark">python基础之 re&lpar;正则表达式&rpar;模块学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天学习了Python中有关正则表达式的知识.关于正则表达式的语法,不作过多解释,网上有许多学习的资料.这里主要介绍Python中常用的正则表达式处理函数. re.match re.match 尝试从字符串的开始匹配一个模式,如:下面的例子匹配第一个单词. import retext = &quot;JGood is a handsome boy, he is cool, clever, and so on...&quot;m = re.match(r&quot;(\w+)\s&quot;, text)i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ekWJg4.html" rel="bookmark">Day5 - Python基础5 常用模块学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Python 之路 Day5 - 常用模块学习 本节大纲: 模块介绍 time &amp;datetime模块 random os sys shutil json &amp; picle shelve xml处理 yaml处理 configparser hashlib subprocess logging模块 re正则表达式 模块,用一砣代码实现了某个功能的代码集合. 类似于函数式编程和面向过程编程,函数式编程则完成一个功能,其他代码用来调用即可,提供了代码的重用性和代码间的耦合.而对于一个复杂的功能来,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWwymrM.html" rel="bookmark">python 的日志logging模块学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近修改了项目里的logging相关功能,用到了python标准库里的logging模块,在此做一些记录.主要是从官方文档和stackoverflow上查询到的一些内容. 官方文档 技术博客 基本用法 下面的代码展示了logging最基本的用法. 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 # -*- cod			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KKnKm0.html" rel="bookmark">Python之re&lpar;正则表达式&rpar;模块小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章借鉴了一些其他文章和教程,介绍了python中re模块的一些规则和常用函数,不足之处希望指出,我也很希望能整理出一份很完美的小结. 一.正则表达式模式 模式字符串使用特殊的语法来表示一个正则表达式: 字母和数字表示他们自身.一个正则表达式模式中的字母和数字匹配同样的字符串. 多数字母和数字前加一个反斜杠时会拥有不同的含义. 标点符号只有被转义时才匹配自身,否则它们表示特殊的含义. 反斜杠本身需要使用反斜杠转义. 由于正则表达式通常都包含反斜杠,所以你最好使用原始字符串来表示它们.模式元素			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDmeQk0.html" rel="bookmark">Python基础13 - Paramiko模块学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				@@@文章内容参照老男孩教育 Alex金角大王,武Sir银角大王@@@ 一.Paramiko模块安装 系统环境CentOS 7,Python3.6 1.安装Python3.6 2.yum安装openssl-devel 1 [[email protected] ~]# yum install openssl-devel -y 3.重新编译ssl模块 1 cd Python-3.6.2 2 ./configure --with-ssl 3 make 4 sudo make install 4使用pi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mg2xoK4.html" rel="bookmark">python中的logging模块学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Python的logging模块 Logging的基本信息: l  默认的情况下python的logging模块打印到控制台,只显示大于等于warning级别的日志 l  日志级别:critical &gt; error &gt; warning &gt; info &gt; debug &gt; notset Logging的基本组件: 1.   logger l  logger是一个树形层级结构,输出信息之前都要获得一个logger l  logger = logging.getLogger() 返回			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/D3OWjX3.html" rel="bookmark" class="title">软件工程个人总结</a>
					<div>
						我一直期望着能亲手制作一款游戏,而这次软件工程的团队项目恰好给了我这个机会.都说众人拾柴火焰高,要从无到有完成这样一个游戏光凭一个人是很困难的,所以我很庆幸有了共同奋斗的团队.在组长的带领下,我们分工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0byEpwM.html" rel="bookmark" class="title">怎么停止LogCat的自动滚动？</a>
					<div>
						============问题描述============ 真机调试时,想看看所有的调试消息,但是Logcat老是自动滚动,就是有新的调试消息时,就会自动向上滚动,把我现在看的滚没了,真是不胜其烦,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pvAyg0.html" rel="bookmark" class="title">阿莱克斯大家阿莱克斯大家</a>
					<div>
						http://travel.tianya.cn/travelPlan/showPlan?planId=4094876 http://travel.tianya.cn/travelPlan/showPl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0awRLA4.html" rel="bookmark" class="title">POJ2376 Cleaning Shifts</a>
					<div>
						http://poj.org/problem?id=2376 类似于工作排序问题 贪心策略:在符合时间情况的选项中 选择结束时间最迟的牛 具体步骤: 按照开始时间升序排列  如果 开始时间相同 按照结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz86Wd3.html" rel="bookmark" class="title">List分页</a>
					<div>
						// 分页 public List&lt;String&gt; doPagination(int pagesize,int index,List&lt;String&gt; list){ List&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8wBy3.html" rel="bookmark" class="title">WIN7下隐藏或显示Lenovo&lowbar;Recovery&lowbar;Q盘</a>
					<div>
						1.点击&quot;开始&quot; 2.在&quot;运行&quot;栏输入&quot;regedit&quot; 3.在注册编辑器里找到: HKEY_CURRENT_USER\Software\M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZAQdd0.html" rel="bookmark" class="title">Entity Framework系列之DataBase First</a>
					<div>
						第一步 新建数据库和表 USE [TestDB] GO /****** Object: Table [dbo].[T_User] Script Date: 01/14/2015 20:27:52 ** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP8BymM.html" rel="bookmark" class="title">java虚拟机底层结构详解&lbrack;转&rsqb;</a>
					<div>
						本文来自:曹胜欢博客专栏.转载请注明出处:http://blog.csdn.net/csh624366188 在以前的博客里面,我们介绍了在java领域中大部分的知识点,从最基础的java最基本语法到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K2NoYM.html" rel="bookmark" class="title">聚类-分类-回归  每天积累 每天进步 不要浪费时间了</a>
					<div>
						从 coursa 上面学的是说,监督学习是指我们来教计算机如何&quot;学习&quot;,非监督学习是指让计算机自己学习.监督学习又有两个大的分支,一个是 regression,另一个是 class ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKZBE3.html" rel="bookmark" class="title">Redis 2&period;8 客户端应用（jedis），jedis分片</a>
					<div>
						1  Redis客户端应用(jedis).jedis分片 1.1   什么是jedis? jedis是针对Java提供的用来连接Redis服务器的客户端技术,就相当于连接数据库需要jdbc一样.(连接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qGEE3.html" rel="bookmark" class="title">Suse&lowbar;linux 11sp1下安装CP-168EL-A&lpar;8个com口&rpar;</a>
					<div>
						1.#tar -zvxf driv_linux_smart_v1.16_build_14030317  (解压驱动包) 2.# cd /moxa/mxser/driver     # ./msmkno ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmAKvBM.html" rel="bookmark" class="title">CentOS5&sol;6启动过程</a>
					<div>
						CentOS系列的操作系统的架构类型是X86架构,其内核实现方式是单内核,单内核的意义的在于他对外表现为一个应用程序即一个进程启动整个系统,所有的功能都集中在这一个进程里:而windows系列的内核实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nYnyoM.html" rel="bookmark" class="title">布局UIConllectionView</a>
					<div>
						1.在UIView/.h文件中声明属性 1 // 声明集合视图属性 2 @property (nonatomic, strong) UICollectionView *collectionView;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v58lo0.html" rel="bookmark" class="title">结构化异常处理（五）处理多个异常</a>
					<div>
						一.多个catch块 在最简单的情形下,一个try块有一个catch块.但是在现实中,你常常会遇到包含try块的语句能够触发许多可能发生的异常的情形. 1.接之前的例子修改,假定在用户传入一个无效参数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rzDAX3.html" rel="bookmark" class="title">USACO草地排水-网络流dinic模板</a>
					<div>
						广搜计算层次图,在层次图上深搜.标准dinic模板. 1 #include&lt;iostream&gt; 2 #include&lt;cstdio&gt; 3 #include&lt;cstdlib ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZx1m3.html" rel="bookmark" class="title">IE6&comma;7&comma;8&comma;9还有火狐浏览器的兼容</a>
					<div>
						/*FF.Opear等支持Web标准的浏览器*/#header {        margin-top: 23px;        margin-bottom: 23px;}/*IE6浏览器*/*ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXqv6G0.html" rel="bookmark" class="title">习惯看新闻头条  一个程序员分享的工作心得</a>
					<div>
						原本想找链接的.可是...我还是选择手打    原作者:刘鹏看未来 原文标题 10+程序员总结的20+条经验教训 开发 1.从小事做起,然后再扩展 无论是创建一个新的系统,还是添加功能到现有的系统中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3waLBRM.html" rel="bookmark" class="title">调查管理系统 -（4）DAO与Service层的泛型抽取与实现</a>
					<div>
						1.设计 BaseDao 与 BaseDaoImpl 1)设计接口 BaseDao 每个实体都应有一个对应的Dao接口,封装了对这个实体的数据库操作.在每个Dao接口中都应有一个基本的增删改查的方法, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLRpeB3.html" rel="bookmark" class="title">【iCore3 双核心板&lowbar; uC&sol;OS-III】例程五：软件定时器</a>
					<div>
						实验指导书及代码包下载: http://pan.baidu.com/s/1eSHenjs iCore3 购买链接: https://item.taobao.com/item.htm?id=524229 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y1njW0.html" rel="bookmark" class="title">poj 2688 Cleaning Robot &lpar;tsp问题&rpar;</a>
					<div>
						Cleaning Robot Time Limit: 1000MS   Memory Limit: 65536K Total Submissions: 4073   Accepted: 1659 De ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
